Show / Hide Table of Contents

# AsyncUnityEventHandler Class

###### Namespace: Cysharp.Threading.Tasks

###### Assembly: cs.temp.dll.dll

    public class AsyncUnityEventHandler : IUniTaskSource, IValueTaskSource, IAsyncClickEventHandler, IDisposable

##### Inheritance

System.Object → AsyncUnityEventHandler

##### Implements

IUniTaskSource
System.Threading.Tasks.Sources.IValueTaskSource
IAsyncClickEventHandler
System.IDisposable

### Members

#### Constructors

Name | Description
--- | ---
AsyncUnityEventHandler(UnityEvent, CancellationToken, Boolean) |

#### Methods

Name | Description
--- | ---
Dispose() |
OnInvokeAsync() |

#### Explicit Interface Implementations

Name | Description
--- | ---
IAsyncClickEventHandler.OnClickAsync() |
IUniTaskSource.GetResult(Int16) |
IUniTaskSource.GetStatus(Int16) |
IUniTaskSource.OnCompleted(Action<Object>, Object, Int16) |
IUniTaskSource.UnsafeGetStatus() |

### Constructors

#### AsyncUnityEventHandler(UnityEvent, CancellationToken, Boolean)

    public AsyncUnityEventHandler(UnityEvent unityEvent, CancellationToken cancellationToken, bool callOnce)

##### Parameters

`unityEvent` UnityEvent
`cancellationToken` CancellationToken
`callOnce` System.Boolean

### Methods

#### Dispose()

    public void Dispose()

#### OnInvokeAsync()

    public UniTask OnInvokeAsync()

##### Returns

UniTask

### Explicit Interface Implementations

#### IAsyncClickEventHandler.OnClickAsync()

    UniTask IAsyncClickEventHandler.OnClickAsync()

##### Returns

UniTask

#### IUniTaskSource.GetResult(Int16)

    void IUniTaskSource.GetResult(short token)

##### Parameters

`token` System.Int16

#### IUniTaskSource.GetStatus(Int16)

    UniTaskStatus IUniTaskSource.GetStatus(short token)

##### Parameters

`token` System.Int16

##### Returns

UniTaskStatus

#### IUniTaskSource.OnCompleted(Action<Object>, Object, Int16)

    void IUniTaskSource.OnCompleted(Action<object> continuation, object state, short token)

##### Parameters

`continuation` System.Action<System.Object>
`state` System.Object
`token` System.Int16

#### IUniTaskSource.UnsafeGetStatus()

    UniTaskStatus IUniTaskSource.UnsafeGetStatus()

##### Returns

UniTaskStatus

### Implements

IUniTaskSource
System.Threading.Tasks.Sources.IValueTaskSource
IAsyncClickEventHandler
System.IDisposable